更新 mobileAppInstallSummary

命名空间:microsoft.graph

重要提示: Microsoft Graph /beta 版本下的 API 可能会更改;不支持生产使用。

注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证

更新 mobileAppInstallSummary 对象 的属性。

先决条件

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) DeviceManagementApps.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 DeviceManagementApps.ReadWrite.All

HTTP 请求

PATCH /deviceAppManagement/mobileApps/{mobileAppId}/installSummary

请求标头

标头
Authorization Bearer <token>。必需。
接受 application/json

请求正文

在请求正文中,提供 mobileAppInstallSummary 对象的 JSON 表示形式。

下表显示创建 mobileAppInstallSummary 时所需的属性

属性 类型 说明
id String 实体的键。
installedDeviceCount Int32 已成功安装此应用的设备数。
failedDeviceCount Int32 未能安装此应用的设备数。
notApplicableDeviceCount Int32 不适用于此应用的设备数。
notInstalledDeviceCount Int32 未安装此应用的设备数。
pendingInstallDeviceCount Int32 已通知安装此应用的设备数。
installedUserCount Int32 其设备全部成功安装此应用的用户数。
failedUserCount Int32 拥有 1 台或多台设备未能安装此应用的用户数。
notApplicableUserCount Int32 其设备均不适用于此应用的用户数。
notInstalledUserCount Int32 具有 1 台或多台设备未安装此应用的用户数量。
pendingInstallUserCount Int32 拥有 1 台或多台设备且已收到通知安装此应用且设备有 0 台失败的用户数量。

响应

如果成功,此方法在响应正文中返回 响应代码和更新的 200 OK mobileAppInstallSummary 对象。

示例

请求

下面是一个请求示例。

PATCH https://graph.microsoft.com/beta/deviceAppManagement/mobileApps/{mobileAppId}/installSummary
Content-type: application/json
Content-length: 374

{
  "@odata.type": "#microsoft.graph.mobileAppInstallSummary",
  "installedDeviceCount": 4,
  "failedDeviceCount": 1,
  "notApplicableDeviceCount": 8,
  "notInstalledDeviceCount": 7,
  "pendingInstallDeviceCount": 9,
  "installedUserCount": 2,
  "failedUserCount": 15,
  "notApplicableUserCount": 6,
  "notInstalledUserCount": 5,
  "pendingInstallUserCount": 7
}

响应

下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。

HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 423

{
  "@odata.type": "#microsoft.graph.mobileAppInstallSummary",
  "id": "06a792e9-92e9-06a7-e992-a706e992a706",
  "installedDeviceCount": 4,
  "failedDeviceCount": 1,
  "notApplicableDeviceCount": 8,
  "notInstalledDeviceCount": 7,
  "pendingInstallDeviceCount": 9,
  "installedUserCount": 2,
  "failedUserCount": 15,
  "notApplicableUserCount": 6,
  "notInstalledUserCount": 5,
  "pendingInstallUserCount": 7
}